<?php
ob_start();
$pageTitle = 'إدارة النقل السياحى';
ini_set('serialize_precision', '-1');
include 'init.php';
use classs\ManagerCars;
use classs\FileManager;
/* use src\ManagerCars;
use src\FileManager; */
$do = isset($_GET['do']) ? $_GET['do'] : '';
$department_id = 3;
if ($do === 'add') {
    if (checkadmin($_SESSION['admin'], $department_id, 3) == 1 ) {
        ?>
        <div class="container mt-5">
            <div class="card">
                <div class="card-header">
                    <h3 class="card-title"><?= $lang['add_car'] ?> <i class="fa-solid fa-bus"></i></h3>
                </div>
                <div class="card-body">
                    <form action="?do=insert" method="post">
                        <div class="row">
                            <div class="col-md-3 mb-3">
                                <div class="form-floating">
                                    <input type="text" name="name_car" class="form-control" placeholder="<?=$lang['name_car']?>">
                                    <label for="name_car" class="form-label"><?= $lang['name_car'] ?></label>
                                </div>
                            </div>
                            <div class="col-md-2 mb-3">
                                <div class="form-floating">
                                    <input type="text" name="num_car" class="form-control" placeholder="<?= $lang['num_car'] ?>">
                                    <label for="num_car" class="form-label"><?= $lang['num_car'] ?></label>
                                </div>
                            </div>
                            <div class="col-md-2 mb-3">
                                <div class="form-floating">
                                    <input type="text" name="number_passengers" class="form-control" placeholder="<?= $lang['number_passengers'] ?>">
                                    <label for="number_passengers" class="form-label"><?= $lang['number_passengers'] ?></label>
                                </div>
                            </div>
                            <div class="col-md-3 mb-3">
                                    <div class="form-floating">
                                        <select name="cost_centers_id" id="cost_centers_id" class="form-select" required>
                                            <?php
                                            // Query to retrieve agents from the agents table
                                            $agentsQuery = "SELECT * FROM cost_centers WHERE cc_lv = 1";
                                            $agentsResult = $con->query($agentsQuery);
                                            echo "<option value=''>اختر مركز التكلفة الرئيسي</option>";
                                            while ($agent = $agentsResult->fetch(PDO::FETCH_ASSOC)) {
                                                echo "<option value='{$agent['ID']}'>{$agent['cost_center_name']}</option>";
                                            }
                                            ?>
                                        </select>
                                        <label for="cost_centers_id" class="form-label">مركز التكلفة:</label>
                                    </div>
                                </div>
                            <!-- <div class="col-md-3">
                                <div class="form-floating">
                                    <select id="lv1" name="lv1" class="form-control" required="required">
                                        <?php
                                        /* $stmt = $con->prepare("SELECT * FROM level_acc WHERE lev_acc = 1 ORDER BY ID ASC");
                                        $stmt->execute();
                                        $rows = $stmt->fetchAll(); */
                                        ?>
                                        <option value="">إختر</option>
                                        <?php
                                        /* if (!empty($rows)) {
                                            foreach ($rows as $row) { */
                                        ?>
                                                <option value="<?php /* echo $row['ID']; */ ?>"><?php /* echo $row['name_account'];  */?></option>
                                            <?php
                                            // }
                                        // } else {
                                            ?>
                                            <option value="" disabled>لا يوجد حسابات حتى الأن</option>
                                        <?php
                                        // } ?>
                                    </select>
                                    <label for="lv1" class="form-label">إختر المستوى الأول من الحساب</label>
                                </div>
                            </div> -->
                            <!-- 
                            <div class="col-md-3">
                                <div class="form-floating">
                                    <select id="lv1" name="lv1" class="form-control" required="required">
                                        <?php
                                        /* $stmt = $con->prepare("SELECT * FROM level_acc WHERE lev_acc = 1 ORDER BY ID ASC");
                                        $stmt->execute();
                                        $rows = $stmt->fetchAll(); */
                                        ?>
                                        <option value="">إختر الحساب</option>
                                        <?php
                                        /* if (!empty($rows)) {
                                            foreach ($rows as $row) { */
                                        ?>
                                                <option value="<?php /* echo $row['ID'];  */?>"><?php /* echo $row['name_account']; */ ?></option>
                                            <?php
                                            /* }
                                        } else { */
                                            ?>
                                            <option value="" disabled>لا يوجد حسابات حتى الأن</option>
                                        <?php
                                        /* } */ ?>
                                    </select>
                                    <label for="lv1" class="form-label">إختر المستوى الأول من الحساب</label>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-floating">
                                    <select id="lv2" name="lv2" class="form-control" required="required">
                                        <option value="">إختر حساب المستوى الأول أولا</option>
                                    </select>
                                    <label for="lv2" class="form-label">إختر المستوى الثانى من الحساب</label>
                                </div>
                            </div>
                            <div class="col-sm-10 col-md-3">
                                <div class="form-floating">
                                    <select id="lv3" name="lv3" class="form-control" required="required">
                                        <option value="">إختر حساب المستوى الثانى أولا</option>
                                    </select>
                                    <label for="lv3" class="form-label">إختر المستوى الثالث من الحساب</label>
                                </div>
                            </div> -->
                            <div class="col-md-2 mb-3">
                                <br>
                                <button type="submit" class="btn btn-primary" name="add_car">Add Car</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <?php
    } else {
        echo '<div class="alert alert-danger">ليس لديك صلاحية الدخول الى هذا القسم</div>';
    }
} elseif ($do === 'insert') {
    // معالجة إضافة السيارة الجديد
    if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['add_car'])) {
        $ManagerCars = new ManagerCars($con);
        // استلام البيانات من الفورم
        $cost_centers_id = $_POST['cost_centers_id'];
        $name_car           = $_POST['name_car'];
        $num_car            = $_POST['num_car'];
        $number_passengers  = $_POST['number_passengers'];
        // يمكنك إجراء عمليات التحقق هنا
        $formErrors = array();
        if (empty($name_car)) {
            $formErrors[] = 'لا يجب أن يكون إسم السيارة  <strong>فارغ</strong>';
        }
        if (empty($cost_centers_id)) {
            $formErrors[] = 'لا يجب أن يكون مركز التكلفة  <strong>فارغ</strong>';
        }
        if (empty($num_car)) {
            $formErrors[] = 'لا يجب أن يكون رقم السيارة <strong>فارغ</strong>';
        }
        if (empty($number_passengers)) {
            $formErrors[] = 'لا يجب أن يكون عدد الركاب <strong>فارغ</strong>';
        }
        // Loop Into Errors Array And Echo It
        foreach ($formErrors as $error) {
            echo '<div class="alert alert-danger">' . $error . '</div>';
        }
        if (empty($formErrors)) {
            try {
                $lv1 = getName("cost_centers", "ID", $cost_centers_id, "cost_center_code");
                $new_cost_center_id = getNextCostCenterCode($con, $lv1, $cost_centers_id, $name_car.' رقم '.$num_car);
                $result = $ManagerCars->addCars($new_cost_center_id, $name_car, $num_car, $number_passengers);
                if ($result) {
                    $theMsg = "تمت إضافة السيارة بنجاح!";
                    redirectlink($theMsg, $url = "cars?do=all_cars", $name = "عرض السيارات", $seconds = 0);
                } else {
                    echo "حدث خطأ أثناء إضافة السيارة.";
                }
            } catch (PDOException $e) {
                echo "حدث خطأ فى السيرفر أثناء إضافة السيارة: " . $e->getMessage();
            }
        }
    }
} elseif ($do === 'edit') {
    if (checkadmin($_SESSION['admin'], $department_id, 4) == 1 ) {
        if (isset($_GET['id']) && is_numeric($_GET['id'])) {
            $car_id = $_GET['id'];

            $ManagerCars = new ManagerCars($con);
            $cars = $ManagerCars->getcarById($car_id);

            if ($cars != null) {
                // استخدم $reservationData لملء حقول النموذج
                ?>
                <div class="container mt-5">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title"><i class="fa-solid fa-bus fa-sm"></i> تعديل بيانات السيارة رقم <?php echo $cars['vehicle_plate_number']; ?> </h3>
                        </div>
                        <div class="card-body">
                            <form action="?do=update" method="post">
                                <input type="hidden" name="car_id" value="<?php echo $cars['ID']; ?>">
                                <div class="row">
                                    <div class="col-md-4 mb-3">
                                        <label for="name_car" class="form-label">اسم السيارة</label>
                                        <input type="text" name="name_car" value="<?php echo $cars['vehicle_model']; ?>" class="form-control">
                                    </div>
                                    <div class="col-md-3 mb-3">
                                        <label for="num_car" class="form-label">رقم السيارة</label>
                                        <input type="text" name="num_car" value="<?php echo $cars['vehicle_plate_number']; ?>" class="form-control">
                                    </div>
                                    <div class="col-md-3 mb-3">
                                        <label for="number_passengers" class="form-label">عدد الركاب</label>
                                        <input type="text" name="number_passengers" value="<?php echo $cars['seating_capacity']; ?>" class="form-control">
                                    </div>
                                    <div class="col-md-2 mb-3">
                                        <br>
                                        <button type="submit" class="btn btn-primary" name="edit_car">save</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>

                <?php
                // }
            } else {
                // رسالة خطأ أو إعادة توجيه إلى صفحة خطأ
                echo "خطأ: لا يوجدسيارة بهذا الرقم.";
                exit;
            }
        } else {
            // رسالة خطأ أو إعادة توجيه إلى صفحة خطأ
            echo "خطأ: يجب تحديد رقم السيارة.";
            exit;
        }
    } else {
        echo '<div class="alert alert-danger">ليس لديك صلاحية الدخول الى هذا القسم</div>';
    }
} elseif ($do === 'update') {
    // معالجة تعديل السيارة
    if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['edit_car'])) {

        $ManagerCars = new ManagerCars($con);

        // استلام البيانات من الفورم
        $car_id = $_POST['car_id'];
        $name_car           = $_POST['name_car'];
        $num_car            = $_POST['num_car'];
        $number_passengers  = $_POST['number_passengers'];
        // يمكنك إجراء عمليات التحقق هنا
        $formErrors = array();
        if (empty($name_car)) {
            $formErrors[] = 'لا يجب أن يكون إسم السيارة  <strong>فارغ</strong>';
        }
        if (empty($num_car)) {
            $formErrors[] = 'لا يجب أن يكون رقم السيارة <strong>فارغ</strong>';
        }
        if (empty($number_passengers)) {
            $formErrors[] = 'لا يجب أن يكون عدد الركاب <strong>فارغ</strong>';
        }
        // Loop Into Errors Array And Echo It
        foreach ($formErrors as $error) {
            echo '<div class="alert alert-danger">' . $error . '</div>';
        }
        if (empty($formErrors)) {
            try {
                // إضافة الحجز باستخدام فئة ReservationsManager
                $result = $ManagerCars->updateCar($car_id, $name_car, $num_car, $number_passengers);
                // $result = $reservationsManager->addReservation($agent_id, $client_id, $arrival_date, $departure_date, $remarks);

                if ($result) {
                    $theMsg = "تم تحديث بيانات السيارة بنجاح!";
                    redirectlink($theMsg, $url = "cars?do=all_cars", $name = "عرض السيارات", $seconds = 0);
                } else {
                    echo "حدث خطأ أثناء تحديث البيانات.";
                }
            } catch (PDOException $e) {
                echo "حدث خطأ أثناء تعديل بيانات السيارة: " . $e->getMessage();
            }
        }
    }
} elseif ($do === 'delete') {
    if (checkadmin($_SESSION['admin'], $department_id, 5) == 1 ) {
        // معالجة حذف الحجز
        echo "<h3 class='text-center'>حذف</h3>";
        echo "<div class='container'>";
        // Check If Get Request id Is Numeric & Get The Integer Value Of It
        $id = isset($_GET['id']) && is_numeric($_GET['id']) ? intval($_GET['id']) : 0;
        // Select All Data Depend On This ID
        $check = checkItem('id', 'vehicles', $id);
        // If There's Such ID Show The Form
        if ($check > 0) {
            $stmt = $con->prepare("DELETE FROM vehicles WHERE ID = :zid");
            $stmt->bindParam(":zid", $id);
            $stmt->execute();
            $theMsg = "<div class='alert alert-success'>" . $stmt->rowCount() . ' تم الحذف بنجاح</div>';
            redirectlink($theMsg, $url = "cars?do=all_cars", $name = "عرض السيارات", $seconds = 0);
        } else {
            $theMsg = '<div class="alert alert-danger">برجاء إتباع رابط صحيح</div>';
            redirectHome($theMsg);
        }
    } else {
        $theMsg = '<div class="alert alert-danger">ليس لديك صلاحية الدخول الى هذا القسم</div>';
        redirectlink($theMsg, $url = "cars?do=all_cars", $name = "عرض السيارات", $seconds = 3);
    }
    echo '</div>';
} elseif ($do === 'all_cars') {
    if (checkadmin($_SESSION['admin'], $department_id, 2) == 1 ) {
        ?>
        <h1 class="input-group-text text-center">عرض بيانات السيارات</h1>
            <div class="row">
                <div class="form-group form-group-lg col-sm-1">
                </div>
                <div class="form-group form-group-lg col-sm-3">
                    <label></label>
                    <a href="?do=add" class="btn btn-warning form-control">
                        <i class="fa-solid fa-bus fa-xl"></i> إضافة سيارة جديد
                    </a>
                </div>
            </div>
        <br>
        <?php
        $ManagerCars = new ManagerCars($con);
        
            $cars = $ManagerCars->getAll();
            $msgres = "No reservations found.";
        
        if (!empty($cars)) {
            echo "<table class='main-table text-center table table-bordered'>";
            echo "<tr>
                <td>اسم السيارة</td>
                <td>رقم السيارة</td>
                <td>سعة السيارة</td>
                <td>Control</td>
            </tr>";
            foreach ($cars as $car) {
                echo "<tr>
                    <td>{$car['vehicle_model']}</td>
                    <td>{$car['vehicle_plate_number']}</td>
                    <td>{$car['seating_capacity']} <i class='fa-solid fa-users-between-lines fa-xl'></i></td>";
                if ( checkadmin($_SESSION['admin'], $department_id, 2) == 1 ) {
                    echo "<td>
                    <a href='?do=all_data_car&id=" . $car['ID'] . "' class='btn btn-primary'><i class=\"fa-solid fa-gear\"></i></i></i> </a>
                    <a href='?do=edit&id=" . $car['ID'] . "' class='btn btn-success'><i class=\"fa-solid fa-user-pen\"></i></i> </a>
                    <a href='?do=delete&id=" . $car['ID'] . "' class='btn btn-danger confirm'><i class='fa-solid fa-user-xmark'></i></i> </a>
                </td>";
                }
                echo "</tr>";
            }
            echo "</table>";
        } else {
            echo $msgres;
        }
    } else {
        $theMsg = '<div class="alert alert-danger">ليس لديك صلاحية الدخول الى هذا القسم</div>';
        redirectHome($theMsg);
    }
} elseif ($do === 'all_data_car') {
    if (checkadmin($_SESSION['admin'], $department_id, 2) == 1 ) {
        if (isset($_GET['id']) && is_numeric($_GET['id'])) {
            $car_id = $_GET['id'];
            $ManagerCars = new ManagerCars($con);
            $carDatas = $ManagerCars->getcarById($car_id);
            // $file_number = explode("/", $reservationDatas['file_number']);
            ?>
            <h1 class="input-group-text text-center">بيان تحليل ايراد السيارة <?php echo $carDatas['vehicle_model']; ?> رقم  : <?php echo $carDatas['vehicle_plate_number']; ?>
            </h1>
            <form action="?do=all_data_car&id=<?=$car_id?>" method="post">
                    <div class="row">
                        <div class="form-group form-group-lg col-sm-3">
                            <div class="col-sm-12">
                                <label for="start_date" class="control-label">من تاريخ:</label>
                                <input type="date" name="start_date" class="form-control" value="<?php echo $start_date_default; ?>"
                                    required>
                            </div>
                        </div>
                        <div class="form-group form-group-lg col-sm-3">
                            <div class="col-sm-12">
                                <label for="end_date" class="control-label">الى تاريخ:</label>
                                <input type="date" name="end_date" class="form-control" value="<?php echo $end_date_default; ?>"
                                    required>
                            </div>
                        </div>
                        <div class="form-group form-group-lg col-sm-1">
                            <div class="col-sm-12">
                                <label></label>
                                <button type="submit" class="btn btn-primary form-control" name="view_cars">بحث</button>
                            </div>
                        </div>
                        <div class="form-group form-group-lg col-sm-1">
                            
                        </div>
                    </div>
                </form>
            <!-- <a href="?do=add_exp&id=<?=$car_id?>" class="btn btn-primary">
                <i class="fa fa-plus"></i> إضافة مصاريف
            </a>
            <a href="?do=add_rev&id=<?=$car_id?>" class="btn btn-primary">
                <i class="fa fa-plus"></i> أمر تشغيل جديد
            </a> -->
            <br>
            <?php
            if ($carDatas != null) {
                if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['view_cars'])) {
                    $start_date = $_POST['start_date'];
                    $end_date = $_POST['end_date'];
                    $carrevenues = $ManagerCars->getRecordsByIdCar($car_id, 5, $start_date, $end_date);
                    $carexpenses = $ManagerCars->getRecordsByIdCar($car_id, 4);
                } else {
                    /* $start_date = $start_date_default;
                    $end_date = $end_date_default; */
                    $carrevenues = $ManagerCars->getRecordsByIdCar($car_id, 5);
                    $carexpenses = $ManagerCars->getRecordsByIdCar($car_id, 4);
                }
                ?>
                <h1 class="input-group-text text-center">بيان تحليل ايراد السيارة
                </h1>
                <br>
                <?php
                echo "<table class='main-table text-center table table-bordered'>";
                echo "<tr>
                        <td>التاريخ</td>
                        <td>البيان</td>
                        <td>الشركة المستأجرة</td>
                        <td>اسم السائق</td>
                        <td>المبلغ</td>
                    </tr>";
                    $allrevamountUSD = 0;
                    foreach ($carrevenues as $carrevenue) {
                        $allrevamountUSD += $carrevenue['amountUSD'];
                        echo "<tr>
                            <td>{$carrevenue['date_operation']}</td>
                            <td>{$carrevenue['payan']}</td>
                            <td>{$carrevenue['id_operator']}</td>
                            <td>{$carrevenue['driver_name']}</td>
                            <td>\${$carrevenue['amountUSD']}</td>";
                        echo "</tr>";
                    }
                    $allrevamountUSD = (strpos($allrevamountUSD, '.') !== false) ? rtrim($allrevamountUSD, '0') : $allrevamountUSD . '.00';
                    echo "<tr>
                        <td>الإجمالى</td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td>\${$allrevamountUSD}</td>";
                    echo "</tr>";
                echo "</table>";
                ?>
                <h1 class="input-group-text text-center">بيان مصاريف السيارة
            </h1>
            <br>
            <?php
                echo "<table class='main-table text-center table table-bordered'>";
                echo "<tr>
                        <td>التاريخ</td>
                        <td>البيان</td>
                        <td>البند</td>
                        <td>السائق</td>
                        <td>المبلغ</td>
                    </tr>";
                $allexpamountUSD = 0;
                foreach ($carexpenses as $carexpense) {
                    $allexpamountUSD += $carexpense['amountUSD'];
                    echo "<tr>
                        <td>{$carexpense['date_operation']}</td>
                        <td>{$carexpense['payan']}</td>
                        <td>{$carexpense['id_operator']}</td>
                        <td>{$carexpense['driver_name']}</td>
                        <td>\${$carexpense['amountUSD']}</td>";
                    echo "</tr>";
                }
                $allexpamountUSD = (strpos($allexpamountUSD, '.') !== false) ? rtrim($allexpamountUSD, '0') : $allexpamountUSD . '.00';
                echo "<tr>
                        <td>الإجمالى</td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td>\${$allexpamountUSD}</td>";
                    echo "</tr>";
                echo "</table>";
            } else {
                // رسالة خطأ أو إعادة توجيه إلى صفحة خطأ
                echo "خطأ: لا يوجد سيارة بهذا الرقم.";
                exit;
            }
        } else {
            // رسالة خطأ أو إعادة توجيه إلى صفحة خطأ
            echo "خطأ: يجب تحديد رقم السيارة.";
            exit;
        }
    } else {
        $theMsg = '<div class="alert alert-danger">ليس لديك صلاحية الدخول الى هذا القسم</div>';
        redirectHome($theMsg);
    }
} elseif ($do === 'all_drivers') {
    if (checkadmin($_SESSION['admin'], $department_id, 2) == 1 ) {
        ?>
        <h1 class="input-group-text text-center">عرض بيانات السيارات</h1>
        <form action="?do=all_file" method="post">
            <div class="row">
                
                <div class="form-group form-group-lg col-sm-1">
                </div>
                <div class="form-group form-group-lg col-sm-3">
                    <label></label>
                    <a href="?do=add" class="btn btn-warning form-control">
                        <i class="fa-solid fa-bus fa-xl"></i> إضافة سيارة جديد
                    </a>
                </div>
            </div>
        </form>
        <br>
        <?php
        $ManagerCars = new ManagerCars($con);
        
            $cars = $ManagerCars->getAll();
            $msgres = "No reservations found.";
        
        if (!empty($cars)) {
            echo "<table class='main-table text-center table table-bordered'>";
            echo "<tr>
                <td>اسم السيارة</td>
                <td>رقم السيارة</td>
                <td>سعة السيارة</td>
                <td>Control</td>
            </tr>";
            foreach ($cars as $car) {
                echo "<tr>
                    <td>{$car['vehicle_model']}</td>
                    <td>{$car['vehicle_plate_number']}</td>
                    <td>{$car['seating_capacity']} <i class='fa-solid fa-users-between-lines fa-xl'></i></td>";
                if ( checkadmin($_SESSION['admin'], $department_id, 2) == 1 ) {
                    echo "<td>
                    <a href='?do=all_data_car&id=" . $car['ID'] . "' class='btn btn-primary'><i class=\"fa-solid fa-gear\"></i></i></i> </a>
                    <a href='?do=edit&id=" . $car['ID'] . "' class='btn btn-success'><i class=\"fa-solid fa-user-pen\"></i></i> </a>
                    <a href='?do=delete&id=" . $car['ID'] . "' class='btn btn-danger confirm'><i class='fa-solid fa-user-xmark'></i></i> </a>
                </td>";
                }
                echo "</tr>";
            }
            echo "</table>";
        } else {
            echo $msgres;
        }
    } else {
        $theMsg = '<div class="alert alert-danger">ليس لديك صلاحية الدخول الى هذا القسم</div>';
        redirectHome($theMsg);
    }
} elseif ($do === 'insert_in_car') {
    // معالجة إضافة الحجز الجديد
    if ($_SERVER['REQUEST_METHOD'] === 'POST') {
        if (isset($_POST['add_numper'])) {
            $FileManager = new FileManager($con);
            // استلام البيانات من الفورم
            $reservation_id = $_POST['reservation_id'];
            $id_persons = $_POST['id_persons'];
            $numper = $_POST['numper'];
            $age_person = $_POST['age_person'];
            // يمكنك إجراء عمليات التحقق هنا
            $formErrors = array();
            if (empty($reservation_id)) {
                $formErrors[] = 'لا يوجد <strong>رقم ملف</strong>';
            }
            if (empty($id_persons)) {
                $formErrors[] = 'برجاء إختر <strong>الشخص</strong>';
            }
            if (empty($numper)) {
                $formErrors[] = 'لا يجب أن يكون عدد الأفراد <strong>فارغ</strong>';
            }
            // Loop Into Errors Array And Echo It
            foreach ($formErrors as $error) {
                echo '<div class="alert alert-danger">' . $error . '</div>';
            }
            if (empty($formErrors)) {
                try {
                    $result = $FileManager->addNewNumberIndividuals($reservation_id, $id_persons, $numper, $age_person);
                    if ($result) {
                        $theMsg = "تمت إضافة الأشخاص بنجاح!";
                        redirectlink($theMsg, $url = "reservations?do=all_data_file&id=" . $reservation_id, $name = "عرض الملف", $seconds = 0);
                    } else {
                        echo "حدث خطأ أثناء الإضافة.";
                    }
                } catch (PDOException $e) {
                    echo "حدث خطأ أثناء إضافة الحجز: " . $e->getMessage();
                }
            }
        } elseif (isset($_POST['hotel_booking'])) {
            $FileManager = new FileManager($con);
            // استلام البيانات من الفورم
            $reservation_id = $_POST['reservation_id'];
            $id_hotels = $_POST['id_hotels'];
            $id_room_type = $_POST['id_room_type'];
            $rooms_numper = $_POST['rooms_numper'];
            $disc = $_POST['disc'];
            $check_in_date = $_POST['check_in_date'];
            $check_out_date = $_POST['check_out_date'];
            $price = $_POST['price'];
            // يمكنك إجراء عمليات التحقق هنا
            $formErrors = array();
            if (empty($reservation_id)) {
                $formErrors[] = 'لا يوجد <strong>رقم ملف</strong>';
            }
            if (empty($id_hotels)) {
                $formErrors[] = 'برجاء إختر <strong>الفندق</strong>';
            }
            if (empty($id_room_type)) {
                $formErrors[] = 'برجاء تحديد نوع<strong>الغرفة</strong>';
            }
            if (empty($rooms_numper)) {
                $formErrors[] = 'لا يجب أن يكون عدد الغرف <strong>فارغ</strong>';
            }
            if (empty($price)) {
                $formErrors[] = 'لا يجب أن يكون سعر الغرفة <strong>فارغ</strong>';
            }
            // Loop Into Errors Array And Echo It
            foreach ($formErrors as $error) {
                echo '<div class="alert alert-danger">' . $error . '</div>';
            }
            if (empty($formErrors)) {
                try {
                    /* $RoomPrice_id = $FileManager->addRoomPrice($id_hotels, $id_room_type, $disc, $price);

                    $result = $FileManager->addHotelBooking($reservation_id, $id_hotels, $RoomPrice_id, $rooms_numper, $check_in_date, $check_out_date);
                     */if ($result) {
                        $theMsg = "تمت إضافة الحجز بنجاح!";
                        redirectlink($theMsg, $url = "reservations?do=all_data_file&id=" . $reservation_id, $name = "عرض الملف", $seconds = 0);
                    } else {
                        echo "حدث خطأ أثناء الإضافة.";
                    }
                } catch (PDOException $e) {
                    echo "حدث خطأ أثناء إضافة الحجز: " . $e->getMessage();
                }
            }
        }

    }
} elseif ($do === 'add_driver') {
    if (checkadmin($_SESSION['admin'], $department_id, 3) == 1 ) {
        ?>
        <div class="container mt-5">
            <div class="card">
                <div class="card-header">
                    <h3 class="card-title">إضافة سائق <i class="fa-solid fa-bus"></i></h3>
                </div>
                <div class="card-body">
                    <form action="?do=insert_driver" method="post">
                        <div class="row">
                            <div class="col-md-3 mb-3">
                                <div class="form-floating">
                                    <input type="text" name="name_driver" class="form-control" placeholder="<?= $lang['name_driver'] ?>">
                                    <label for="name_driver" class="form-label"><?= $lang['name_driver'] ?></label>
                                </div>
                            </div>
                            <div class="col-md-2 mb-3">
                                <div class="form-floating">
                                    <input type="text" name="num_driver" class="form-control" placeholder="رقم الرخصة ?>">
                                    <label for="num_driver" class="form-label">رقم الرخصة</label>
                                </div>
                            </div>
                            <div class="col-md-2 mb-3">
                                <div class="form-floating">
                                    <input type="text" name="phone" class="form-control" placeholder="رقم الهاتف">
                                    <label for="phone" class="form-label">رقم الهاتف</label>
                                </div>
                            </div>
                            <div class="col-md-3 mb-3">
                                <div class="form-floating">
                                    <select name="car_id" class="form-select" required>
                                        <?php
                                        // Query to retrieve agents from the agents table
                                        $agentsQuery = "SELECT * FROM vehicles";
                                        $agentsResult = $con->query($agentsQuery);
                                        echo "<option value=''>اختر السيارة</option>";
                                        while ($agent = $agentsResult->fetch(PDO::FETCH_ASSOC)) {
                                            echo "<option value='{$agent['ID']}'>{$agent['vehicle_model']} - {$agent['vehicle_plate_number']}</option>";
                                        }
                                        ?>
                                    </select>
                                    <label for="car_id" class="form-label">السيارة:</label>
                                </div>
                            </div>
                            <div class="col-md-2 mb-3">
                                <br>
                                <button type="submit" class="btn btn-primary" name="add_driver">Add Driver</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <?php
    } else {
        echo '<div class="alert alert-danger">ليس لديك صلاحية الدخول الى هذا القسم</div>';
    }
} elseif ($do === 'insert_driver') {
    // معالجة إضافة السيارة الجديد
    if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['add_driver'])) {
        
        $ManagerCars = new ManagerCars($con);
        // استلام البيانات من الفورم
        $name_driver            = $_POST['name_driver'];
        $num_driver             = $_POST['num_driver'];
        $phone                  = $_POST['phone'];
        $car_id                 = $_POST['car_id'];
        // يمكنك إجراء عمليات التحقق هنا
        $formErrors = array();
        if (empty($name_driver)) {
            $formErrors[] = 'لا يجب أن يكون إسم السائق  <strong>فارغ</strong>';
        }
        if (empty($num_driver)) {
            $formErrors[] = 'لا يجب أن يكون رقم الرخصة <strong>فارغ</strong>';
        }
        if (empty($car_id)) {
            $formErrors[] = 'برجا إختر <strong>السيارة</strong>';
        }
        // Loop Into Errors Array And Echo It
        foreach ($formErrors as $error) {
            echo '<div class="alert alert-danger">' . $error . '</div>';
        }
        if (empty($formErrors)) {
            try {
                $result = $ManagerCars->addDriver($name_driver, $num_driver, $phone, $car_id);

                if ($result) {
                    $theMsg = "تمت إضافة السائق بنجاح!";
                    redirectlink($theMsg, $url = "cars?do=all_drivers", $name = "عرض السائقين", $seconds = 0);
                } else {
                    echo "حدث خطأ أثناء إضافة السيارة.";
                }
            } catch (PDOException $e) {
                echo "حدث خطأ فى السيرفر أثناء إضافة السيارة: " . $e->getMessage();
            }
        }
    }
} elseif ($do === 'add_rev') {
    if (checkadmin($_SESSION['admin'], $department_id, 3) == 1 ) {
        if (isset($_GET['id']) && is_numeric($_GET['id'])) {
            $car_id = $_GET['id'];
            $ManagerCars = new ManagerCars($con);
            $carDatas = $ManagerCars->getcarById($car_id);
            if ($carDatas != null) {
                ?>
                <div class="container mt-5">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">أمر تشغيل جديد <i class="fa-solid fa-bus"></i></h3>
                        </div>
                        <div class="card-body">
                            <form action="?do=insert_driver" method="post">
                                <div class="row">
                                    <div class="col-md-3 mb-3">
                                        <div class="form-floating">
                                            <input type="date" name="mydate" class="form-control" placeholder="التاريخ">
                                            <label for="mydate" class="form-label">التاريخ</label>
                                        </div>
                                    </div>
                                    <div class="col-md-3 mb-3">
                                        <div class="form-floating">
                                            <input type="text" name="payan" class="form-control" placeholder="بيان التشغيل">
                                            <label for="payan" class="form-label">بيان التشغيل</label>
                                        </div>
                                    </div>
                                    <div class="col-md-2 mb-3">
                                        <div class="form-floating">
                                            <input type="time" name="time_in" class="form-control" placeholder="ساعة القيام">
                                            <label for="time_in" class="form-label">ساعة القيام</label>
                                        </div>
                                    </div>
                                    <div class="col-md-2 mb-3">
                                        <div class="form-floating">
                                            <input type="time" name="time_out" class="form-control" placeholder="ساعة العودة">
                                            <label for="time_out" class="form-label">ساعة العودة</label>
                                        </div>
                                    </div>
                                    <div class="col-md-3 mb-3">
                                        <div class="form-floating">
                                            <select name="drivers_id" class="form-select" required>
                                                <?php
                                                // Query to retrieve agents from the agents table
                                                $agentsQuery = "SELECT * FROM drivers";
                                                $agentsResult = $con->query($agentsQuery);
                                                echo "<option value=''>اختر السائق</option>";
                                                while ($agent = $agentsResult->fetch(PDO::FETCH_ASSOC)) {
                                                    echo "<option value='{$agent['ID']}'>{$agent['driver_name']}</option>";
                                                }
                                                ?>
                                            </select>
                                            <label for="drivers_id" class="form-label">السائق:</label>
                                        </div>
                                    </div>
                                    <div class="col-md-3 mb-3">
                                        <div class="form-floating">
                                            <select name="copany_id" class="form-select" required>
                                                <?php
                                                // Query to retrieve agents from the agents table
                                                $agentsQuery = "SELECT * FROM companie_client_car";
                                                $agentsResult = $con->query($agentsQuery);
                                                echo "<option value=''>اختر العميل</option>";
                                                while ($agent = $agentsResult->fetch(PDO::FETCH_ASSOC)) {
                                                    echo "<option value='{$agent['ID']}'>{$agent['name_ar']}</option>";
                                                }
                                                ?>
                                            </select>
                                            <label for="copany_id" class="form-label">العميل:</label>
                                        </div>
                                    </div>
                                    <div class="col-md-3 mb-3">
                                        <div class="form-floating">
                                            <select name="id_employees" class="form-select" required>
                                                <?php
                                                // Query to retrieve agents from the agents table
                                                $personsQuery = "SELECT * FROM employees where id_department_employees = 1 OR id_department_employees = 2 ";
                                                $personsResult = $con->query($personsQuery);
                                                echo "<option value=''>اختر المرشد او المندوب</option>";
                                                while ($persons = $personsResult->fetch(PDO::FETCH_ASSOC)) {
                                                    echo "<option value='{$persons['ID']}'>{$persons['full_name']}</option>";
                                                }
                                                ?>
                                            </select>
                                            <label for="copany_id" class="form-label">المندوب / المرشد:</label>
                                        </div>
                                    </div>
                                    <div class="col-md-2 mb-3">
                                        <br>
                                        <button type="submit" class="btn btn-primary" name="add_driver">Add Driver</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                <?php
            } else {
                // رسالة خطأ أو إعادة توجيه إلى صفحة خطأ
                echo "خطأ: لا يوجد سيارة بهذا الرقم.";
                exit;
            }
        } else {
            // رسالة خطأ أو إعادة توجيه إلى صفحة خطأ
            echo "خطأ: يجب تحديد رقم السيارة.";
            exit;
        }
    } else {
        echo '<div class="alert alert-danger">ليس لديك صلاحية الدخول الى هذا القسم</div>';
    }
} elseif ($do === 'insert_driver') {
    // معالجة إضافة السيارة الجديد
    if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['add_driver'])) {
        
        $ManagerCars = new ManagerCars($con);
        // استلام البيانات من الفورم
        $name_driver            = $_POST['name_driver'];
        $num_driver             = $_POST['num_driver'];
        $phone                  = $_POST['phone'];
        $car_id                 = $_POST['car_id'];
        // يمكنك إجراء عمليات التحقق هنا
        $formErrors = array();
        if (empty($name_driver)) {
            $formErrors[] = 'لا يجب أن يكون إسم السائق  <strong>فارغ</strong>';
        }
        if (empty($num_driver)) {
            $formErrors[] = 'لا يجب أن يكون رقم الرخصة <strong>فارغ</strong>';
        }
        if (empty($car_id)) {
            $formErrors[] = 'برجا إختر <strong>السيارة</strong>';
        }
        // Loop Into Errors Array And Echo It
        foreach ($formErrors as $error) {
            echo '<div class="alert alert-danger">' . $error . '</div>';
        }
        if (empty($formErrors)) {
            try {
                $result = $ManagerCars->addDriver($name_driver, $num_driver, $phone, $car_id);

                if ($result) {
                    $theMsg = "تمت إضافة السائق بنجاح!";
                    redirectlink($theMsg, $url = "cars?do=all_drivers", $name = "عرض السائقين", $seconds = 0);
                } else {
                    echo "حدث خطأ أثناء إضافة السيارة.";
                }
            } catch (PDOException $e) {
                echo "حدث خطأ فى السيرفر أثناء إضافة السيارة: " . $e->getMessage();
            }
        }
    }
} else {
    $theMsg = '<div class="alert alert-danger">ليس لديك صلاحية الدخول الى هذا القسم</div>';
    redirectHome($theMsg);
}

include $tpl . 'footer.php';
?>